%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%endif

Name:           python-sqlamp
Version:        0.5.2
Release:        9%{?dist}
Summary:        Library for working with hierarchical data structures using SQLAlchemy

Group:          Development/Languages
License:        BSD
URL:            http://sqlamp.angri.ru/
Source0:        http://sqlamp.angri.ru/sqlamp-%{version}.tar.gz
Patch0:         sa0.6.6.patch
Patch1:         sqlite-3.6.x-bug-workaround.patch
Patch2:         sa72.patch
Patch3:         python_compat.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires: python-devel
BuildRequires: python-setuptools
BuildRequires: python-sqlalchemy
BuildRequires: python-nose
BuildRequires: python-sphinx

Requires: python-sqlalchemy >= 0.5

%description
sqlamp is an implementation of an efficient algorithm for working
with hierarchical data structures. sqlamp uses (and depends on) SQLAlchemy.

%prep
%setup -q -n sqlamp-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%{__python} setup.py build

# generate docs
pushd doc
PYTHONPATH=../build/lib:$PYTHONPATH make html
rm _build/html/objects.inv
rm -rf _build/doctrees 
rm _build/html/.buildinfo 
popd

%install
rm -rf %{buildroot}
%{__python} setup.py install --skip-build --root %{buildroot}


%check
DB_URI="sqlite:///:memory:" %{__python} setup.py test


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc doc/_build/html
%doc LICENSE

%{python_sitelib}/sqlamp/
%{python_sitelib}/sqlamp*.egg-info/


%changelog
* Mon Jun 30 2014 Toshio Kuratomi <toshio@fedoraproject.org> - 0.5.2-9
- Replace python-setuptools-devel BR with python-setuptools

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Jun 30 2011 Martin Bacovsky <mbacovsk@redhat.com> - 0.5.2-3
- Fixed #715906 FTBFS due to SA upgrade to 0.7.x
- Backported upstreams patch adding support for SQLAlchemy 0.7.2
- added upstreams patch to fix issues with tests on python 2.7

* Mon Mar 28 2011 Martin Bacovsky <mbacovsk@redhat.com> - 0.5.2-2
- Fixed support of SQLAlchemy 0.6.6 in MPOptions.order_by_clause(). Patch by Josip Delic.
- Workaround for bug in sqlite 3.6.x (problems with binding two integer attributes). Initial patch by Josip Delic.

* Tue Dec 14 2010 Martin Bacovsky <mbacovsk@redhat.com> - 0.5.2-1
- Initial package
